For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI Reference
  • Data API
      • POSTBatch Operation
      • GETGet Records
      • POSTInsert Records
      • DELDelete Records
      • GETGet Record By ID
      • PUTUpdate Record
      • DELDelete Record
LogoLogo
Login
Login
Data APIRecords

Delete Record

DELETE
/v1/vaults/:vaultID/:objectName/:ID
DELETE
/v1/vaults/:vaultID/:objectName/:ID
$curl -X DELETE https://{{vault_uri}}.vault.skyflowapis.com/v1/vaults/vaultID/objectName/ID \
> -H "Authorization: Bearer <token>"
1{
2 "skyflow_id": "4423ccdf-75eb-4e2e-abfc-acb43b1440cd",
3 "deleted": true
4}

Deletes the specified record from a table.

Note: This method doesn’t delete transient field tokens. Transient field values are available until they expire based on the fields’ time-to-live (TTL) setting.

Was this page helpful?
Previous

Detokenize

Next
Built with

Authentication

AuthorizationBearer

Access token, prefixed by Bearer .

Path parameters

vaultIDstringRequired
ID of the vault.
objectNamestringRequired
Name of the table.
IDstringRequired

skyflow_id of the record to delete.

Response

OK
skyflow_idstring
ID of the deleted record.
deletedboolean

If true, the record was deleted.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error